Customers

Create Customer

Get or create a customer (user) in the Tonder system. Returns the customer's id and auth_token. If a customer with that email already exists, the existing one is returned instead of a duplicate.

POST
/customer/

Authorization

Authorization
Authorization<token>

Tu API key con prefijo Token , p. ej. Token <API_KEY>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/customer/" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com"  }'
{
  "id": 766,
  "email": "jsmith@example.com",
  "auth_token": "86706c507e9ca032c91771a26819d69e91402fc9"
}
{
  "email": [
    "Enter a valid email address."
  ]
}
{
  "detail": "Invalid token."
}
Was this page helpful?